std::default_delete< _Tp >(3cxx)

NAME
std::default_delete< _Tp > - Primary template of default_delete, used by unique_ptr.

SYNOPSIS

  Public Member Functions

constexpr default_delete () noexcept=default
Default constructor.
template<typename _Up , typename = typename enable_if<is_convertible<_Up*, _Tp*>::value>::type> default_delete (const default_delete< _Up > &) noexcept
Converting constructor.
void operator() (_Tp *__ptr) const
Calls delete __ptr.

Detailed Description

  template<typename _Tp>
struct std::default_delete< _Tp >" Primary template of default_delete, used by unique_ptr.

Definition at line 56 of file unique_ptr.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.